Bug 909797 - Review Request: python-sphinxcontrib-httpdomain - Sphinx domain for documenting HTTP APIs
Summary: Review Request: python-sphinxcontrib-httpdomain - Sphinx domain for documenti...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-11 05:58 UTC by Dan Callaghan
Modified: 2013-08-15 07:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-15 07:42:19 UTC
Type: ---
mail: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dan Callaghan 2013-02-11 05:58:32 UTC
Spec URL: http://fedorapeople.org/~dcallagh/python-sphinxcontrib-httpdomain/python-sphinxcontrib-httpdomain.spec
SRPM URL: http://fedorapeople.org/~dcallagh/python-sphinxcontrib-httpdomain/python-sphinxcontrib-httpdomain-1.1.7-1.fc17.src.rpm
Description: Using this Sphinx domain you can document your HTTP API. It includes support for generating documentation from Flask routing tables.
Fedora Account System Username: dcallagh

Comment 1 Fabian Affolter 2013-04-21 13:49:25 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== ISSUES =====
- The latest version is 1.1.8.
- 'python-sphinx' is a requirement to run is package.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python-sphinxcontrib-httpdomain-1.1.7-1.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint python-sphinxcontrib-httpdomain
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
python-sphinxcontrib-httpdomain (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python-sphinxcontrib-httpdomain:
    python-sphinxcontrib-httpdomain

MD5-sum check
-------------
http://pypi.python.org/packages/source/s/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.1.7.tar.gz :
  CHECKSUM(SHA256) this package     : adf363983602a017b8c09186e6b0f2e7bda209e19c17b7971ff6315217d3b760
  CHECKSUM(SHA256) upstream package : adf363983602a017b8c09186e6b0f2e7bda209e19c17b7971ff6315217d3b760

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 909797

Comment 2 Dan Callaghan 2013-04-22 01:21:08 UTC
Thanks for taking this review, Fabian!

> ===== ISSUES =====
> - The latest version is 1.1.8.

Quite right, I will update the package.

> - 'python-sphinx' is a requirement to run is package.

This is a fair point, although in EPEL5 and EPEL6 Sphinx 0.6 and 1.0 are both available (python-sphinx and python-sphinx10) and as far as I know this package works equally well with either, so I don't want to Require one or the other in particular. I can add Requires: python-sphinx for Fedora though.

Comment 4 Fabian Affolter 2013-05-06 09:15:51 UTC
I see no further blocker, package APPROVED.

Comment 5 Dan Callaghan 2013-05-06 22:42:32 UTC
New Package SCM Request
=======================
Package Name: python-sphinxcontrib-httpdomain
Short Description: Sphinx domain for documenting HTTP APIs
Owners: dcallagh
Branches: el5 el6 f17 f18 f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-05-07 13:09:41 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-05-07 23:22:33 UTC
python-sphinxcontrib-httpdomain-1.1.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-httpdomain-1.1.8-1.fc19

Comment 8 Fedora Update System 2013-05-07 23:23:12 UTC
python-sphinxcontrib-httpdomain-1.1.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-httpdomain-1.1.8-1.fc17

Comment 9 Fedora Update System 2013-05-07 23:27:29 UTC
python-sphinxcontrib-httpdomain-1.1.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-httpdomain-1.1.8-1.el6

Comment 10 Fedora Update System 2013-05-07 23:28:02 UTC
python-sphinxcontrib-httpdomain-1.1.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-sphinxcontrib-httpdomain-1.1.8-1.el5

Comment 11 Dan Callaghan 2013-05-07 23:28:41 UTC
And the F18 update is here:
https://admin.fedoraproject.org/updates/python-sphinxcontrib-httpdomain-1.1.8-1.fc18

Comment 12 Fedora Update System 2013-05-13 03:25:39 UTC
python-sphinxcontrib-httpdomain-1.1.8-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-05-22 01:29:51 UTC
python-sphinxcontrib-httpdomain-1.1.8-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2013-05-23 19:44:21 UTC
python-sphinxcontrib-httpdomain-1.1.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2013-05-23 19:45:29 UTC
python-sphinxcontrib-httpdomain-1.1.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.